# Organization API: Customer Portal: Platform domains

> The 4 Organization API operations for platform domains.

Source: https://www.coritan.com/docs/api/reference/organizations/customer-portal/platform-domains/

Part of [Customer Portal](/docs/api/reference/organizations/customer-portal/).

## Operations

| Method | Path | Summary |
| --- | --- | --- |
| GET | [`/api/v1/orgs/{org_slug}/portal/platform-domains`](#op-get-api-v1-orgs-org-slug-portal-platform-domains) | Overview |
| GET | [`/api/v1/orgs/{org_slug}/portal/platform-domains/availability`](#op-get-api-v1-orgs-org-slug-portal-platform-domains-availability) | Check availability |
| POST | [`/api/v1/orgs/{org_slug}/portal/platform-domains/claims`](#op-post-api-v1-orgs-org-slug-portal-platform-domains-claims) | Create claim |
| DELETE | [`/api/v1/orgs/{org_slug}/portal/platform-domains/claims/{claim_id}`](#op-delete-api-v1-orgs-org-slug-portal-platform-domains-claims-claim-id) | Delete claim |

### Overview {#op-get-api-v1-orgs-org-slug-portal-platform-domains}

`GET /api/v1/orgs/{org_slug}/portal/platform-domains`

#### Parameters

| Name | In | Type | Required |
| --- | --- | --- | --- |
| `org_slug` | path | string | yes |

#### Responses

| Status | Meaning |
| --- | --- |
| `200` | Success. |
| `422` | The request is not valid. `detail` lists each problem. |

### Check availability {#op-get-api-v1-orgs-org-slug-portal-platform-domains-availability}

`GET /api/v1/orgs/{org_slug}/portal/platform-domains/availability`

#### Parameters

| Name | In | Type | Required |
| --- | --- | --- | --- |
| `org_slug` | path | string | yes |
| `label` | query | string | yes |
| `suffix` | query | string or null | no |

#### Responses

| Status | Meaning |
| --- | --- |
| `200` | Success. |
| `422` | The request is not valid. `detail` lists each problem. |

### Create claim {#op-post-api-v1-orgs-org-slug-portal-platform-domains-claims}

`POST /api/v1/orgs/{org_slug}/portal/platform-domains/claims`

#### Parameters

| Name | In | Type | Required |
| --- | --- | --- | --- |
| `org_slug` | path | string | yes |

#### Request body

`application/json` (required)

| Field | Type | Required |
| --- | --- | --- |
| `label` | string | yes |
| `suffix` | string or null | no |

#### Responses

| Status | Meaning |
| --- | --- |
| `201` | Success. |
| `422` | The request is not valid. `detail` lists each problem. |

### Delete claim {#op-delete-api-v1-orgs-org-slug-portal-platform-domains-claims-claim-id}

`DELETE /api/v1/orgs/{org_slug}/portal/platform-domains/claims/{claim_id}`

#### Parameters

| Name | In | Type | Required |
| --- | --- | --- | --- |
| `claim_id` | path | integer | yes |
| `org_slug` | path | string | yes |

#### Responses

| Status | Meaning |
| --- | --- |
| `200` | Success. |
| `422` | The request is not valid. `detail` lists each problem. |
